Package commoble.bagofyurting.client.jei

# Class JEIUpgradeRecipeHacks

java.lang.Object
commoble.bagofyurting.client.jei.JEIUpgradeRecipeHacks

public class JEIUpgradeRecipeHacks extends Object

## Constructor Summary

Constructors
Constructor
Description
`JEIUpgradeRecipeHacks()`

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.world.item.crafting.Ingredient`
`convertIngredient​(net.minecraft.world.item.crafting.Ingredient ingredient, int outputRadius)`
`static net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient>`
`convertIngredients​(net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> baseIngredients, int outputRadius)`
`static net.minecraft.world.item.ItemStack`
`convertIngredientStack​(net.minecraft.world.item.ItemStack baseIngredient, int outputRadius)`
`static ShapedBagUpgradeRecipe`
`getFakeShapedRecipe​(ShapedBagUpgradeRecipe recipe, int outputRadius)`
`static ShapelessBagUpgradeRecipe`
`getFakeShapelessRecipe​(ShapelessBagUpgradeRecipe recipe, int outputRadius)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JEIUpgradeRecipeHacks

public JEIUpgradeRecipeHacks()

## Method Details

### getFakeShapedRecipe

public static ShapedBagUpgradeRecipe getFakeShapedRecipe​(ShapedBagUpgradeRecipe recipe, int outputRadius)

### getFakeShapelessRecipe

public static ShapelessBagUpgradeRecipe getFakeShapelessRecipe​(ShapelessBagUpgradeRecipe recipe, int outputRadius)

### convertIngredients

public static net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> convertIngredients​(net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> baseIngredients, int outputRadius)

### convertIngredient

public static net.minecraft.world.item.crafting.Ingredient convertIngredient​(net.minecraft.world.item.crafting.Ingredient ingredient, int outputRadius)

### convertIngredientStack

public static net.minecraft.world.item.ItemStack convertIngredientStack​(net.minecraft.world.item.ItemStack baseIngredient, int outputRadius)